<?php


// include Advanced Custom Fields Plugin
//define( 'ACF_LITE' , TRUE );

require_once 'inc/acf/acf.php';
include_once('inc/acf-repeater/acf-repeater.php');
include_once('inc/acf-flexible-content/acf-flexible-content.php');

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_layouts',
		'title' => 'Layouts',
		'fields' => array (
			array (
				'key' => 'field_54149cf4bb158',
				'label' => 'Group of Content',
				'name' => 'group_of_content',
				'type' => 'flexible_content',
				'instructions' => 'Use Group of Content to display your content in a nicer way. You can choose One or Two columns many times as you need.',
				'layouts' => array (
					array (
						'label' => 'One Column',
						'name' => 'one_column',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_54149e387eb7f',
								'label' => 'Type',
								'name' => 'type',
								'type' => 'radio',
								'instructions' => 'Choose the type of content you want to display.',
								'column_width' => '',
								'choices' => array (
									'Text' => 'Text',
									'Images' => 'Images',
									'Video' => 'Video',
									'Social' => 'Social',
								),
								'other_choice' => 0,
								'save_other_choice' => 0,
								'default_value' => 'text',
								'layout' => 'vertical',
							),
							array (
								'key' => 'field_54149e9b7eb80',
								'label' => 'Text',
								'name' => 'text',
								'type' => 'wysiwyg',
								'instructions' => 'Enter your text for the content here.',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_54149e387eb7f',
											'operator' => '==',
											'value' => 'Text',
										),
									),
									'allorany' => 'all',
								),
								'column_width' => '',
								'default_value' => '',
								'toolbar' => 'full',
								'media_upload' => 'no',
							),
							array (
								'key' => 'field_54149fbb83e96',
								'label' => 'Images',
								'name' => 'images',
								'type' => 'repeater',
								'instructions' => 'Choose your image or images for a gallery.',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_54149e387eb7f',
											'operator' => '==',
											'value' => 'Images',
										),
									),
									'allorany' => 'all',
								),
								'column_width' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_5414a03b6ac58',
										'label' => 'image',
										'name' => 'image',
										'type' => 'image',
										'column_width' => '',
										'save_format' => 'url',
										'preview_size' => 'full',
										'library' => 'all',
									),
								),
								'row_min' => '',
								'row_limit' => '',
								'layout' => 'row',
								'button_label' => 'Add Image',
							),
							array (
								'key' => 'field_5414a06b6ac59',
								'label' => 'Video',
								'name' => 'video',
								'type' => 'text',
								'instructions' => 'Paste your video URL from YOUTUBE / VIMEO.',
								'conditional_logic' => array (
									'status' => 1,
									'rules' => array (
										array (
											'field' => 'field_54149e387eb7f',
											'operator' => '==',
											'value' => 'Video',
										),
									),
									'allorany' => 'all',
								),
								'column_width' => '',
								'default_value' => '',
								'placeholder' => '',
								'prepend' => '',
								'append' => '',
								'formatting' => 'html',
								'maxlength' => '',
							),
						),
					),
					array (
						'label' => 'Two Columns',
						'name' => 'two_columns',
						'display' => 'row',
						'min' => '',
						'max' => '',
						'sub_fields' => array (
							array (
								'key' => 'field_5414c762aae9a',
								'label' => 'Columns',
								'name' => 'columns',
								'type' => 'repeater',
								'instructions' => 'Enter the content for your two columns.',
								'column_width' => '',
								'sub_fields' => array (
									array (
										'key' => 'field_5414c8ae4e969',
										'label' => 'Type',
										'name' => 'type_column',
										'type' => 'radio',
										'instructions' => 'Choose what type of content you want to display in your columns.',
										'column_width' => '',
										'choices' => array (
											'Text' => 'Text',
											'Images' => 'Images',
											'Video' => 'Video',
											'Social' => 'Social',
										),
										'other_choice' => 0,
										'save_other_choice' => 0,
										'default_value' => '',
										'layout' => 'vertical',
									),
									array (
										'key' => 'field_5414c8d14e96a',
										'label' => 'Text',
										'name' => 'text_column',
										'type' => 'wysiwyg',
										'instructions' => 'Enter the text for your content.',
										'conditional_logic' => array (
											'status' => 1,
											'rules' => array (
												array (
													'field' => 'field_5414c8ae4e969',
													'operator' => '==',
													'value' => 'Text',
												),
											),
											'allorany' => 'all',
										),
										'column_width' => '',
										'default_value' => '',
										'toolbar' => 'full',
										'media_upload' => 'no',
									),
									array (
										'key' => 'field_5414c8ee4e96b',
										'label' => 'Images',
										'name' => 'images_column',
										'type' => 'repeater',
										'instructions' => 'Choose your image or images for a gallery.',
										'conditional_logic' => array (
											'status' => 1,
											'rules' => array (
												array (
													'field' => 'field_5414c8ae4e969',
													'operator' => '==',
													'value' => 'Images',
												),
											),
											'allorany' => 'all',
										),
										'column_width' => '',
										'sub_fields' => array (
											array (
												'key' => 'field_5414cb2969137',
												'label' => 'image',
												'name' => 'image',
												'type' => 'image',
												'column_width' => '',
												'save_format' => 'url',
												'preview_size' => 'full',
												'library' => 'all',
											),
										),
										'row_min' => '',
										'row_limit' => '',
										'layout' => 'row',
										'button_label' => 'Add Image',
									),
									array (
										'key' => 'field_5414c9044e96c',
										'label' => 'Video',
										'name' => 'video_column',
										'type' => 'text',
										'instructions' => 'Paste your video URL from YOUTUBE / VIMEO.',
										'conditional_logic' => array (
											'status' => 1,
											'rules' => array (
												array (
													'field' => 'field_5414c8ae4e969',
													'operator' => '==',
													'value' => 'Video',
												),
											),
											'allorany' => 'all',
										),
										'column_width' => '',
										'default_value' => '',
										'placeholder' => '',
										'prepend' => '',
										'append' => '',
										'formatting' => 'html',
										'maxlength' => '',
									),
								),
								'row_min' => 2,
								'row_limit' => 2,
								'layout' => 'row',
								'button_label' => 'Add Row',
							),
						),
					),
				),
				'button_label' => 'Add Content',
				'min' => '',
				'max' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'no_box',
			'hide_on_screen' => array (
				0 => 'custom_fields',
			),
		),
		'menu_order' => 0,
	));
}



if (!isset($content_width)) $content_width = 770;

/**
 * upbootwp_setup function.
 * 
 * @access public
 * @return void
 */
function upbootwp_setup() {

	require 'inc/general/class-Upbootwp_Walker_Nav_Menu.php';

	load_theme_textdomain('upbootwp', get_template_directory().'/languages');

	add_theme_support( 'automatic-feed-links' );

	/**
	 * Enable support for Post Thumbnails on posts and pages
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	//add_theme_support( 'post-thumbnails' );

	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'Bootstrap WP Primary' ),
	) );

	/**
	 * Enable support for Post Formats
	 */
	//add_theme_support( 'post-formats', array( 'aside', 'image', 'video', 'quote', 'link' ) );

	/**
	 * Setup the WordPress core custom background feature.
	 */
	/*add_theme_support( 'custom-background', apply_filters( 'upbootwp_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	)));*/
	
	
}

add_action( 'after_setup_theme', 'upbootwp_setup' );

/**
 * Register widgetized area and update sidebar with default widgets
 */
function upbootwp_widgets_init() {
	register_sidebar(array(
		'name'          => __('Sidebar','upbootwp'),
		'id'            => 'sidebar-1',
		'before_widget' => '<div class="wrap-mod" id="widget">',
		'after_widget'  => '</div></div>',
		'before_title'  => '<div class="mod-title"><h3>',
		'after_title'   => '</h3></div><div class="mod">',
	));
}
add_action( 'widgets_init', 'upbootwp_widgets_init' );

function upbootwp_scripts() {
	wp_enqueue_style( 'upbootwp-css', get_template_directory_uri().'/css/upbootwp.css', array(), '20130908');
	wp_enqueue_script( 'upbootwp-jQuery', get_template_directory_uri().'/js/jquery.js',array(),'2.0.3',true);
	wp_enqueue_script( 'upbootwp-basefile', get_template_directory_uri().'/js/bootstrap.min.js',array(),'20130905',true);
}
add_action( 'wp_enqueue_scripts', 'upbootwp_scripts' );


/**
 * upbootwp_less function.
 * Load less for development or even on the running website. If you want to use less just enable this function
 * @access public
 * @return void
 */
function upbootwp_less() {
	printf('<link rel="stylesheet" type="text/less" href="%s" />', get_template_directory_uri().'/less/bootstrap.less?ver=0.1'); // raus machen :) 
	printf('<script type="text/javascript" src="%s"></script>', get_template_directory_uri().'/js/less.js');
}
// Enable this when you want to work with less
//add_action('wp_head', 'upbootwp_less');



/**
 * Implement the Custom Header feature.
 */
//require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory().'/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory().'/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory().'/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory().'/inc/jetpack.php';


/**
 * upbootwp_breadcrumbs function.
 * Edit the standart breadcrumbs to fit the bootstrap style without producing more css
 * @access public
 * @return void
 */
function upbootwp_breadcrumbs() {

	$delimiter = '&raquo;';
	$home = 'Home';
	$before = '<li class="active">';
	$after = '</li>';

	if (!is_home() && !is_front_page() || is_paged()) {

		echo '<ol class="breadcrumb">';

		global $post;
		$homeLink = get_bloginfo('url');
		echo '<li><a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . '</li> ';

		if (is_category()) {
			global $wp_query;
			$cat_obj = $wp_query->get_queried_object();
			$thisCat = $cat_obj->term_id;
			$thisCat = get_category($thisCat);
			$parentCat = get_category($thisCat->parent);
			if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
			echo $before . single_cat_title('', false) . $after;

		} elseif (is_day()) {
			echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
			echo '<li><a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a></li> ' . $delimiter . ' ';
			echo $before . get_the_time('d') . $after;

		} elseif (is_month()) {
			echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li> ' . $delimiter . ' ';
			echo $before . get_the_time('F') . $after;

		} elseif (is_year()) {
			echo $before . get_the_time('Y') . $after;

		} elseif (is_single() && !is_attachment()) {
			if ( get_post_type() != 'post' ) {
				$post_type = get_post_type_object(get_post_type());
				$slug = $post_type->rewrite;
				echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a></li> ' . $delimiter . ' ';
				echo $before . get_the_title() . $after;
			} else {
				$cat = get_the_category(); $cat = $cat[0];
				echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
				echo $before . get_the_title() . $after;
			}

		} elseif (!is_single() && !is_page() && get_post_type() != 'post' && !is_404()) {
			$post_type = get_post_type_object(get_post_type());
			echo $before . $post_type->labels->singular_name . $after;

		} elseif (is_attachment()) {
			$parent = get_post($post->post_parent);
			$cat = get_the_category($parent->ID); $cat = $cat[0];
			echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
			echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a></li> ' . $delimiter . ' ';
			echo $before . get_the_title() . $after;

		} elseif ( is_page() && !$post->post_parent ) {
			echo $before . get_the_title() . $after;

		} elseif ( is_page() && $post->post_parent ) {
			$parent_id  = $post->post_parent;
			$breadcrumbs = array();
			while ($parent_id) {
				$page = get_page($parent_id);
				$breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li>';
				$parent_id  = $page->post_parent;
			}
			$breadcrumbs = array_reverse($breadcrumbs);
			foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
			echo $before . get_the_title() . $after;

		} elseif ( is_search() ) {
			echo $before . 'Search results for "' . get_search_query() . '"' . $after;

		} elseif ( is_tag() ) {
			echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after;

		} elseif ( is_author() ) {
			global $author;
			$userdata = get_userdata($author);
			echo $before . 'Articles posted by ' . $userdata->display_name . $after;

		} elseif ( is_404() ) {
			echo $before . 'Error 404' . $after;
		}

		if ( get_query_var('paged') ) {
			if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
			echo ': ' . __('Page') . ' ' . get_query_var('paged');
			if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
		}

		echo '</ol>';

	}
}


/* Supporting THUMBNAILS */

add_theme_support( 'post-thumbnails' );

if(!function_exists('get_post_top_ancestor_id')){
/**
 * Gets the id of the topmost ancestor of the current page. Returns the current
 * page's id if there is no parent.
 * 
 * @uses object $post
 * @return int 
 */
function get_post_top_ancestor_id(){
    global $post;
    
    if($post->post_parent){
        $ancestors = array_reverse(get_post_ancestors($post->ID));
        return $ancestors[0];
    }
    
    return $post->ID;
}}

function excerpt($limit) {
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).' <a class="read-more-text" href="'. get_permalink( get_the_ID() ) . '">[...]</a>';
	} else {
		$excerpt = implode(" ",$excerpt);
	}
	$excerpt = preg_replace('`[[^]]*]`','',$excerpt);
	return $excerpt;
}



/// Customizer THEME

add_action('customize_register', 'theme_customize');
function theme_customize($wp_customize) {
	
	// Adding LOGO upload image
	
	$wp_customize->add_section( 'icons', array(
        'title'          => 'Logo & Icons',
        'priority'       => 34,
    ) );

	
	$wp_customize->add_setting( 'logo' );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
    'label'   => 'Logo',
    'section'  => 'icons',
    'settings' => 'logo',
) ) );

	$wp_customize->add_setting( 'icon' );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'icon', array(
    'label'   => 'Icon Menu',
    'section'  => 'icons',
    'settings' => 'icon',
) ) );

	
	$wp_customize->add_setting( 'favicon' );
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'favicon', array(
    'label'   => 'Favicon',
    'section'  => 'icons',
    'settings' => 'favicon',
) ) );
		
	// Adding COLOR to the CUSTOMIZER	
 
    $wp_customize->add_section( 'theme_colors', array(
        'title'          => 'Color Scheme',
        'priority'       => 35,
    ) );
 
    $wp_customize->add_setting( 'primary_color', array(
        'default'        => '#00cd98',
    ) );
 
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'primary_color', array(
        'label'   => 'Primary Color',
        'section' => 'theme_colors',
        'settings'   => 'primary_color',
        'priority' => 1,
    ) ) );
    
    // Adding SOCIAL to the CUSTOMIZER	
 
    $wp_customize->add_section( 'theme_social', array(
        'title'          => 'Social Networks',
        'priority'       => 38,
    ) );
    
    $wp_customize->add_setting( 'title_social', array(
        'default'        => '',
    ) );
    $wp_customize->add_control( 'title_social', array(
        'label'   => 'Title for your Social',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 0,
    ) );

 
	$wp_customize->add_setting( 'facebook', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'facebook', array(
        'label'   => 'Facebook',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 1,
    ) );
    $wp_customize->add_setting( 'googleplus', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'googleplus', array(
        'label'   => 'Google+',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 2,
    ) );
    $wp_customize->add_setting( 'instagram', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'instagram', array(
        'label'   => 'Instagram',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 3,
    ) ); 
    $wp_customize->add_setting( 'linkedin', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'linkedin', array(
        'label'   => 'Linkedin',
        'section' => 'theme_social',
        'type'    => 'text',
		'priority' => 4,
    ) ); 
    $wp_customize->add_setting( 'pinterest', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'pinterest', array(
        'label'   => 'Pinterest',
        'section' => 'theme_social',
        'type'    => 'text',
		'priority' => 5,
    ) ); 
    
    $wp_customize->add_setting( 'spotify', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'spotify', array(
        'label'   => 'Spotify',
        'section' => 'theme_social',
        'type'    => 'text',
		'priority' => 5,
    ) ); 
    
    $wp_customize->add_setting( 'tumblr', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'tumblr', array(
        'label'   => 'Tumblr',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 6,
    ) );
    
    $wp_customize->add_setting( 'twitter', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'twitter', array(
        'label'   => 'Twitter',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 7,
    ) );
    $wp_customize->add_setting( 'vimeo', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'vimeo', array(
        'label'   => 'Vimeo',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 8,
    ) );
    
    $wp_customize->add_setting( 'yelp', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'yelp', array(
        'label'   => 'Yelp',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 9,
    ) ); 
   
    $wp_customize->add_setting( 'youtube', array(
        'default'        => '',
    ) );
 
    $wp_customize->add_control( 'youtube', array(
        'label'   => 'Youtube',
        'section' => 'theme_social',
        'type'    => 'text',
        'priority' => 10,
    ) );
    
    $wp_customize->add_section( 'landscape', array(
        'title'          => 'Landscape Message',
        'priority'       => 40,
    ) );
    
    $wp_customize->add_setting( 'landscape_text', array(
        'default'        => 'We recommend to use the Portrait Mode for small devices,<br/>to ensure a better experience. Please rotate your device. Thank you.',
    ) );
    $wp_customize->add_control( 'landscape_text', array(
        'label'   => 'Landscape Text Warning',
        'section' => 'landscape',
        'type'    => 'text',
        'priority' => 0,
    ) );

}

// Adding the HOOK to load CUSTOM CSS after the theme's css

function custom_css() {
    do_action('custom_css');
}

// Applying the CSS from the CUSTOMIZER

function theme_customize_css()
{
	?>
	<style>
		h1{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
		
		h1 a{
			color: <?php echo get_theme_mod('primary_color');?>;;
			border-color:<?php echo get_theme_mod('primary_color');?>;
		}
		
		h4{
			color:<?php echo get_theme_mod('primary_color');?>;
			border-color:<?php echo get_theme_mod('primary_color');?>;
		}
		ol.code li{
			border-color:<?php echo get_theme_mod('primary_color');?>;
		}
		a{
			color:<?php echo get_theme_mod('primary_color');?>;
		}
		blockquote{
			border-color:<?php echo get_theme_mod('primary_color');?>;
		}
		.colored{
			color:<?php echo get_theme_mod('primary_color');?>;
		}
		.btn-menu{
			background: <?php echo get_theme_mod('primary_color');?>;
		}		
		.btn-close-menu{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
			
		.btn-close-menu:hover{
			background: <?php echo get_theme_mod('primary_color');?>;
		}
		.wrap-menu .section-title{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
						
		.wrap-menu .nav-items li a:hover{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
		.wrap-menu .wrap-search input{
				background: <?php echo get_theme_mod('primary_color');?>;
		}
		.wrap-menu .wrap-search .search-submit{
				background: <?php echo get_theme_mod('primary_color');?>;
		}				
		.wrap-menu .wrap-search .search-submit:hover{
				color: <?php echo get_theme_mod('primary_color');?>;
		}
		.categories{
			border-color:<?php echo get_theme_mod('primary_color');?>;
		}
		.read-more{
			background: <?php echo get_theme_mod('primary_color');?>;
		}
				
		.read-more:hover{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
		.keep-reading{
			background: <?php echo get_theme_mod('primary_color');?>;
		}
		.wrap-column{
			<?php $rgb = hex2rgb(get_theme_mod('primary_color'));
			echo 'background: rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',0.05)';
			?>
		}
		.wrap-columns{
			<?php $rgb = hex2rgb(get_theme_mod('primary_color'));
			echo 'background: rgba('.$rgb[0].','.$rgb[1].','.$rgb[2].',0.1)';
			?>
		}
		.footer-nav a, .post-nav a{
			background: <?php echo get_theme_mod('primary_color');?>;
		}
			
		.footer-nav a:hover, .post-nav a:hover{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
		
		.footer-nav .back a, .post-nav .back a{ 
			background: <?php echo get_theme_mod('primary_color');?>;
		}
				
		.footer-nav .back a:hover, .post-nav .back a:hover{
			color: <?php echo get_theme_mod('primary_color');?>;
		}
		
		ul.social li a{
			color: <?php echo get_theme_mod('primary_color');?>;
		}


	
	</style>
	<?php
} 
add_action( 'custom_css', 'theme_customize_css');

/* Funtion to convert HEXADECIMAL to RGB*/
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

/* Widget for Recent Posts */
function Last5posts()
{
    $args = array( "showposts" => 5 );                  
    query_posts($args);
	
    $content = "<ul class='nav-items'>";

    if( have_posts() ) : 

        while( have_posts() ) :

            the_post();
            $link = get_permalink();
            $title = get_the_title();

            $content .= "<li><a href='$link' target='_top'>$title</a></li>";


        endwhile;

    endif;
	$content .= "</ul>";
    // Leave one line commented out depending on usage
    echo $content;   // For use as widget
    wp_reset_query();
}
/* registering Widget */
//register_sidebar_widget(__('Last 5 Posts'), 'Last5posts');

/* Getting Categories */

function getCategories(){
	
		$categories = get_the_category();
		$separator = ' ';
		$output = '';
		if($categories){
			foreach($categories as $category) {
				$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s" ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
			}
		$categories= trim($output, $separator);
		echo $categories;
		}		
	
}

// Video Embeding

/* Place these these into your functions.php file
    Retrive Video Thumbnails */
function getVideoInfo($vurl){
    $image_url = parse_url($vurl);
    // Test if the link is for youtube
    if($image_url['host'] == 'www.youtube.com' || $image_url['host'] == 'youtube.com'){
        $array = explode("&", $image_url['query']);
        return "http://img.youtube.com/vi/".substr($array[0], 2)."/maxresdefault.jpg"; // Returns the largest Thumbnail
    // Test if the link is for the shortened youtube share link
    } else if($image_url['host'] == 'www.youtu.be' || $image_url['host'] == 'youtu.be'){
        $array = ltrim($image_url['path'],'/');
        return "http://img.youtube.com/vi/". $array ."/maxresdefault.jpg"; // Returns the largest Thumbnail
    // Test if the link is for vimeo
    } else if($image_url['host'] == 'www.vimeo.com' || $image_url['host'] == 'vimeo.com'){
        $hash = unserialize(file_get_contents("http://vimeo.com/api/v2/video/".substr($image_url['path'], 1).".php"));
        return $hash[0]["thumbnail_large"]; // Returns the medium Thumbnail
    }
}
 
/* Retrieve Video Embed Code */
/* Instead of returning the full embed code, you could just return the video ID and place that in the necessary location.  Useful if you need to have your embeds vary in size across your site */
function getVideoEmbed($vurl){
    $image_url = parse_url($vurl);
    // Test if the link is for youtube
    if($image_url['host'] == 'www.youtube.com' || $image_url['host'] == 'youtube.com'){
        $array = explode("&", $image_url['query']);
        return '<iframe src="http://www.youtube.com/embed/' . substr($array[0], 2) . '?wmode=transparent" width="500" height="281" frameborder="0" allowfullscreen></iframe>'; // Returns the youtube iframe embed code
    // Test if the link is for the shortened youtube share link
    } else if($image_url['host'] == 'www.youtu.be' || $image_url['host'] == 'youtu.be'){
        $array = ltrim($image_url['path'],'/');
        return '<iframe src="http://www.youtube.com/embed/' . $array . '?wmode=transparent" width="500" height="281" frameborder="0" allowfullscreen></iframe>'; // Returns the youtube iframe embed code
    // Test if the link is for vimeo
    } else if($image_url['host'] == 'www.vimeo.com' || $image_url['host'] == 'vimeo.com'){
        $hash = substr($image_url['path'], 1);
        return '<iframe src="http://player.vimeo.com/video/' . $hash . '?title=0&byline=0&portrait=0" width="500" height="281" frameborder="0" webkitAllowFullScreen allowfullscreen></iframe>'; // Returns the vimeo iframe embed code
    }
}


?>