<?php
/**
 * The Blog file.
 */

get_header("index"); ?>

<div id="fullpage">
	
	<?php while (have_posts()) : the_post(); ?>
		
		<?php 
		// Getting Featured Image
		if (has_post_thumbnail( $post->ID ) ){ ?>
			<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
			$image= $image[0];
		} 
		?>
	
    	<div class="section" style="background:url(<?php echo $image;?>) center center no-repeat; background-size:cover;">
    		<div class="container">
	    		<div class="row">
		    		<div class="col-sm-12">
	    				<h1 class="title-post"><a href="<?php the_permalink(); ?>" title="<?php the_title();?>"><?php the_title(); ?></a></h1>
						<p><?php echo excerpt(25);?></p>
						<div class="categories">
							<p>Tagged in:
							<?php getCategories();?>
							</p>
						</div>
						<a class="read-more" href="<?php the_permalink($post->ID);?>">Read More</a>
		    		</div>
	    		</div>
    		</div>
    	</div>

	<?php endwhile; ?>

</div>
<div class="footer-nav">

	<?php 
		$count_posts = wp_count_posts();
		$published_posts = $count_posts->publish;
		
		$postsperpage = get_option('posts_per_page');
				
		$totalpages=ceil($published_posts/$postsperpage);
	?>
	<div id="post-page">
	</div>
	<div id="data" style="display:none">
		<div id="posts-pages" style="display:none">
			<?php echo htmlspecialchars($postsperpage);?>
		</div>
		<div id="total-pages">
			<?php echo htmlspecialchars($totalpages);?>
		</div>
		<div id="current-page">
			<?php echo htmlspecialchars($paged);?>
		</div>
		<div id="total-posts">
			<?php echo htmlspecialchars($published_posts);?>
		</div>		
	</div>
	
	<div class="info-posts">
		<p><span class="colored"><?php echo $published_posts;?></span> Published Posts</p>
	</div>
	
	<?php
		// set the "paged" parameter (use 'page' if the query is on a static front page)
		$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

		// the query
		$the_query = new WP_Query( 'paged=' . $paged ); 
		
		if ( $the_query->have_posts() ) :
		
		// next_posts_link() usage with max_num_pages
			
			next_posts_link( '<span class="icon icon-arrow-66"></span>', $the_query->max_num_pages );
			previous_posts_link( '<span class="icon icon-arrow-65"></span>' );	

			// clean up after the query and pagination
			wp_reset_postdata();
		
		endif; ?>
		
		<div class="info-pages">
			<p><span class="colored"><?php echo $paged;?></span> / <?php echo $totalpages;?> Pages</p>
		</div>
	
</div>
<?php // If there is extra content we display the TIP 
	if($postsperpage>1){?>
	<div class="keep-reading">
		<p>SCROLL</p>
		<span class="icon icon-arrow-67"></span>
	</div>
<?php }?>


<?php get_footer(); ?>