<?php
/**
 * The Search file.
 */

get_header(); ?>

<div id="owl-lists" class="owl-carousel">
	
	<?php
		global $query_string;
		query_posts( $query_string . '&posts_per_page=-1' );
		while (have_posts()) : the_post(); ?>
		<?php // we only want to search in POSTS, not PAGES
		if (is_search() && ($post->post_type=='page')) continue; ?>
		<div class="item">
		<?php 
		// Getting Featured Image
		if (has_post_thumbnail( $post->ID ) ){ ?>
			<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
			$image= $image[0];?>
			<div class="wrap-img" style="background:url(<?php echo $image;?>) center center no-repeat; background-size:cover;"></div>
		<?php } 
		?>
			<div class="wrap-text">
				<h1 class="title-post"><a href="<?php the_permalink(); ?>" title="<?php the_title();?>"><?php the_title(); ?></a></h1>
				<p>Posted in <span class="colored"><?php echo get_the_date(); ?></span></p>
				<p><?php echo excerpt(20);?></p>
				<div class="categories">
					<p>Tagged in:
					<?php getCategories();?>
					</p>
				</div>
				<a class="read-more" href="<?php the_permalink($post->ID);?>">Read More</a>
			</div>
		</div>
		<?php 
			endwhile; ?>
	</div>
</div>

<div class="footer-nav">

	<?php 		
		// Number Posts per search in POSTS, not PAGES
		$mySearch =& new WP_Query("s=$s &post_type=post & showposts=-1");
		$NumResults = $mySearch->post_count;
		
		$postsperpage = get_option('posts_per_page');		
		$totalpages=ceil($NumResults/$postsperpage);
	?>
	<div class="info-posts">
		
		<p><span class="colored"><?php echo $NumResults;?></span> Results for <span class="colored">
		<?php
		printf( __( '%s', 'upbootwp' ), '<span>' . get_search_query() . '</span>' );
		?>
		</span>
		</p>
	</div>
	
	<?php /*
		// set the "paged" parameter (use 'page' if the query is on a static front page)
		$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

		// the query
		$the_query = new WP_Query( 'paged=' . $paged ); 
		
		if ( $totalpages>1) :
		
		// next_posts_link() usage with max_num_pages
			
			next_posts_link( '<span class="icon icon-arrow-66"></span>', $totalpages );
			previous_posts_link( '<span class="icon icon-arrow-65"></span>' );	

			// clean up after the query and pagination
			wp_reset_postdata();
		
		endif; */?>
		
		<!--<div class="info-pages">			
			<p><span class="colored"><?php echo $paged;?></span> / <?php echo $totalpages;?> Pages</p>
		</div> -->
	
</div>


<?php get_footer(); ?>