<?php
/**
 * The Archive file.
 */

get_header(); ?>

<div id="owl-lists" class="owl-carousel">
	
	<?php
		global $query_string;
		query_posts( $query_string . '&posts_per_page=-1' );		
		while (have_posts()) : the_post(); ?>
		
		<div class="item">
		<?php 
		// Getting Featured Image
		if (has_post_thumbnail( $post->ID ) ){ ?>
			<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
			$image= $image[0];?>
			<div class="wrap-img" style="background:url(<?php echo $image;?>) center center no-repeat; background-size:cover;"></div>
		<?php } 
		?>
			<div class="wrap-text">
				<h1 class="title-post"><a href="<?php the_permalink(); ?>" title="<?php the_title();?>"><?php the_title(); ?></a></h1>
				<p>Posted in <span class="colored"><?php echo get_the_date(); ?></span></p>
				<p><?php echo excerpt(20);?></p>
				<div class="categories">
					<p>Tagged in:
					<?php getCategories();?>
					</p>
				</div>
				<a class="read-more" href="<?php the_permalink($post->ID);?>">Read More</a>
			</div>
		</div>
		<?php 
			endwhile; ?>
	</div>
</div>

<div class="footer-nav">

	<?php 		
		// Number Posts per Category
		$category = get_queried_object();
		$category_posts=$category->count;
		
		$postsperpage = get_option('posts_per_page');		
		$totalpages=ceil($category_posts/$postsperpage);
	?>
	<div class="info-posts">
		
		<p><span class="colored"><?php echo $category_posts;?></span> Results for <span class="colored">
		<?php
						if ( is_category() ) :
							single_cat_title();
			
							elseif ( is_tag() ) :
								single_tag_title();
			
							elseif ( is_author() ) :
								/* Queue the first post, that way we know
								 * what author we're dealing with (if that is the case).
								*/
								the_post();
								printf( __( 'Author: %s', 'upbootwp' ), '<span class="vcard">' . get_the_author() . '</span>' );
								/* Since we called the_post() above, we need to
								* rewind the loop back to the beginning that way
								* we can run the loop properly, in full.
								*/
								rewind_posts();
			
							elseif ( is_day() ) :
								printf( __( 'Day: %s', 'upbootwp' ), '<span>' . get_the_date() . '</span>' );
			
							elseif ( is_month() ) :
								printf( __( 'Month: %s', 'upbootwp' ), '<span>' . get_the_date( 'F Y' ) . '</span>' );
			
							elseif ( is_year() ) :
								printf( __( 'Year: %s', 'upbootwp' ), '<span>' . get_the_date( 'Y' ) . '</span>' );
			
							elseif ( is_tax( 'post_format', 'post-format-aside' ) ) :
								_e( 'Asides', 'upbootwp' );
			
							elseif ( is_tax( 'post_format', 'post-format-image' ) ) :
								_e( 'Images', 'upbootwp');
			
							elseif ( is_tax( 'post_format', 'post-format-video' ) ) :
								_e( 'Videos', 'upbootwp' );
			
							elseif ( is_tax( 'post_format', 'post-format-quote' ) ) :
								_e( 'Quotes', 'upbootwp' );
			
							elseif ( is_tax( 'post_format', 'post-format-link' ) ) :
								_e( 'Links', 'upbootwp' );
			
							else :
								_e( 'Archives', 'upbootwp' );
			
						endif;
					?>
		</span>
		</p>
	</div>
	
	<?php
		// set the "paged" parameter (use 'page' if the query is on a static front page)
		$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

		// the query
		$the_query = new WP_Query( 'paged=' . $paged ); 
		
		if ( $totalpages>1 ) :
		
		// next_posts_link() usage with max_num_pages
			
			next_posts_link( '<span class="icon icon-arrow-66"></span>', $the_query->max_num_pages );
			previous_posts_link( '<span class="icon icon-arrow-65"></span>' );	

			// clean up after the query and pagination
			wp_reset_postdata();
		
		endif; ?>
		
		<div class="info-pages">			
			<p><span class="colored"><?php echo $paged;?></span> / <?php echo $totalpages;?> Pages</p>
		</div>
	
</div>


<?php get_footer(); ?>