<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php if(get_theme_mod('favicon')){?>
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo get_theme_mod('favicon');?>">
<?php } else {?>
	<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
<?php } ?>

<?php wp_head(); ?>

<link href='http://fonts.googleapis.com/css?family=Fira+Sans:300,400,700,300italic,400italic,700italic' rel='stylesheet' type='text/css'>

<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/fontello.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/animation.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/inc/owl-carousel/owl.carousel.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/inc/owl-carousel/owl.theme.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/inc/fullPage/jquery.fullPage.css" />
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/icons.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/main.css">
<link rel="stylesheet" href="<?php bloginfo( 'template_url' ); ?>/css/medias.css">

<!--[if lt IE 9]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo( 'template_url' ); ?>/css/ie8-and-down.css" />
<![endif]-->
<!--[if lte IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo( 'template_url' ); ?>/css/ie8-and-down.css" />
<![endif]-->
<?php custom_css(); ?>
</head>

<body <?php body_class(); ?>>

<a href="#" class="btn-menu">
	<?php if (get_theme_mod('icon')){?>
		<img src="<?php echo get_theme_mod('icon');?>" class="img-responsive">
	<?php } else {?>
		MENU
	<?php } ?>
</a>

<div class="wrap-menu">
	<a href="#" class="btn-close-menu"><span class="icon icon-cross-1"></span></a>
	<div class="wrap">
		<div class="wrap-logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"  class="navbar-brand">
				<?php if(get_theme_mod('logo')){?>
					<img src="<?php echo get_theme_mod('logo');?>" class="img-responsive">
				<?php } else {?>
					<h1><?php echo get_bloginfo('name');?></h1>
					<h2><?php echo get_bloginfo('description');?></h2>
				<?php } ?>
			</a>
		</div>
		<div class="section-title">Search</div>
		<div class="wrap-search">
			<form role="search" method="get" class="search-form form-inline" action="<?php bloginfo('url');?>">
				<div class="form-group">
					<input type="search" class="search-field form-control" placeholder="Enter Keyword" value="" name="s" title="Enter Keyword">
				</div>
				<div class="form-group">
					<button type="submit" class="search-submit"><span class="glyphicon glyphicon-chevron-right"></span></button>
				</div>
			</form>
		</div>
			
		<div class="section-title">Articles</div>
		<?php Last5posts();?>
			
		<div class="section-title">Categories</div>
		<ul class="nav-items">
			<?php wp_list_categories('title_li='); ?>
		</ul>
			
		<div class="section-title">Sections</div>
		<?php 
			$args = array('theme_location' => 'primary', 
				'container_class' => 'nav-menu', 
				'menu_class' => 'nav-items',
				'fallback_cb' => '',
				'menu_id' => 'main-menu',
				'walker' => new Upbootwp_Walker_Nav_Menu()); 
			wp_nav_menu($args);
		?>
		</div>
</div>